Commit 4b58ab2b authored by helmo's avatar helmo

Revert "Issue #2729891 by helmo: Fix Debian upgrade error 3.4 to 3.5 (with hosting_git enabled)"

This reverts commit c4d8621a.

This was giving trouble in the u pgrade from 2.x to 3.x.
The workaround for upgrading 3.4 to 3.5+ is to disable the hosting_git module
before upgrading, and enable it afterwards.
parent 237f8946
......@@ -163,19 +163,6 @@ function drush_provision_drupal_pre_provision_deploy_rollback() {
function drush_provision_drupal_provision_deploy() {
_provision_drupal_maintain_aliases();
_provision_drupal_create_directories();
// If this is the hostmaster site, save the ~/.drush/drushrc.php file.
if (d()->root == d('@hostmaster')->root && d()->uri == d('@hostmaster')->uri) {
if (drush_bootstrap(DRUSH_BOOTSTRAP_DRUPAL_FULL)) {
// TODO: Copied from platform/verify.provision.inc... refactor to function.
$aegir_drushrc = new Provision_Config_Drushrc_Aegir();
$aegir_drushrc->write();
drush_log(dt('Regenerated ~aegir/.drush/drushrc.php from drush_provision_drupal_provision_deploy()'));
}
else {
drush_log(dt('Bootstrap to DRUSH_BOOTSTRAP_DRUPAL_FULL on hostmaster site FAILED, updating the ~/.drush/drushrc.php skipped.'), 'warning');
}
}
}
/**
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment